package fr.irisa.cairn.jnimap.polylib;

import java.util.AbstractMap;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import java.util.Map.Entry;

import fr.irisa.cairn.jnimap.runtime.JNIObject;


/*** PROTECTED REGION ID(PolyLibVector_userImport) ENABLED START ***/
	/*
		Put you custom import here ....
	*/
/*** PROTECTED REGION END ***/

/**
 *  Automatically generated by jnimap 
 * @generated
 */
public class PolyLibVector extends JNIObject  {
	
	
	/* @generated */
	protected PolyLibVector(long ptr) {
		/*** PROTECTED REGION ID(PolyLibVector_Constructor) DISABLED START ***/
		super(ptr);
		/*** PROTECTED REGION END ***/
	}
	
	
	/* @generated */
	static PolyLibVector build(long ptr) {
		{
			return new PolyLibVector(ptr);
		}
	}
	
	
	
	
	/*** PROTECTED REGION ID(PolyLibVector_userCode) ENABLED START ***/
	/*** PROTECTED REGION END ***/

	/*************************************** 
	 *	     Struct Field Accessors        * 
	 ***************************************/
	
	/*************************************** 
	 *	         Static Methods            * 
	 ***************************************/
	
	/*************************************** 
	 *	         Member Methods            * 
	 ***************************************/
	
	public String toString() {
		/*** PROTECTED REGION ID(PolyLibVector_toString) DISABLED START ***/
			return PolylibPrettyPrinter.asString(this);
		/*** PROTECTED REGION END ***/
	}
}
